Subject: bug#40532: 28.0.50; eww/shr: Anchor link does not work

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 30 Apr 2020 11:15:32 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> I think this is OK for the release branch, but I'd like Lars to
>> comment.  Lars, please chime in.
>
> I think this looks correct:
>
> -      (let ((dom (plist-get eww-data :dom)))
> +      (let ((dom (plist-get eww-data :dom))
> +            (shr-target-id (url-target (url-generic-parse-url url))))
>
> But I haven't tested the code.

Why not move this binding back into eww-display-html instead, closer to
where shr-insert-document is called, for the benefit of other callers of
eww-display-html as well, and deviating the least from previous versions
of eww, as per the second proposed patch?

Thanks,

-- 
Basil